<?php

use App\Http\Middleware\SetUser;

Route::group([
    'middleware' => [
        SetUser::class
    ],
    'prefix' => 'forum'
], function() {
    Route::get('{slug}/create-thread', CreateHandler::class)->name('thread-create');
});

Route::group([
    'middleware' => [
        SetUser::class
    ],
    'prefix' => 'thread'
], function() {
    Route::get('/{slug}', ShowHandler::class)->name('thread');
    Route::post('store', StoreHandler::class)->name('thread-store');
});

